import 'dart:async';
import '../interfaces/i_time_provider.dart';

/// System implementation of time provider using real DateTime and Timer
class SystemTimeProvider implements ITimeProvider {
  @override
  DateTime now() => DateTime.now();

  @override
  Timer periodic(Duration period, void Function(Timer) callback) {
    return Timer.periodic(period, callback);
  }

  @override
  Timer timer(Duration duration, void Function() callback) {
    // TODO: implement timer
    throw UnimplementedError();
  }
}
